<template>
  <q-item
    :clickable="addGoToDetailsButton"
    v-ripple
    @click="onClickConstraint(constraint)"
  >
    <q-item-section side>
      <q-icon
        :name="constraintIconName(constraint)"
        size="md"
        color="dark"
      />
    </q-item-section>
    <q-item-section class="text-body2">
      <q-item-label>{{ constraintText(constraint) }}</q-item-label>
      <q-item-label
        caption
        lines="2"
      >
        {{ constraintCaptionText(constraint) }}
      </q-item-label>
    </q-item-section>
    <q-item-section
      side
      v-if="addGoToDetailsButton"
    >
      <q-icon name="las la-angle-right" />
    </q-item-section>
  </q-item>
</template>

<script>
import PlotConstraintMixin from 'src/pages/holding-campaign/plot/mixins/PlotConstraintMixin'

export default {
  name: 'PlotConstraintItem',
  mixins: [
    PlotConstraintMixin
  ],
  props: {
    constraint: {
      type: Object,
      required: true
    },
    addGoToDetailsButton: {
      type: Boolean,
      default: false
    }
  },
  methods: {
    onClickConstraint (constraint) {
      this.$router.push({ name: 'plotConstraint', params: { constraintId: constraint.id } })
    }
  }
}
</script>
